Subject: Mushroom expeditions...
From: [email-masked] (Paul Derbyshire)
Date: Mon, 1 Aug 1994 03:07:31 GMT
Newsgroups: ncf.sigs.mushrooms,ott.events,ncf.general,bionet.mycology

I am interested in joining a mushroom-foraging club or similar thing in
the Ottawa area... very soon :-)
Preferably, this could be a club of mainly teen and young adult foragers
(plus an expert mycologist).

Please E-MAIL any information.

Thanks in advance,
	PGD

-- 
Cheers,      |  "There was a sale. The biggest going-out-of-business sale you
________PGD__|  ever saw... But in the end, some of us decided not to buy."
   ___  ~~~                                                  --Needful Things
__| * |_______  ASGND Full Silly and Ysiggian _______________________________